"use strict";
/* global describe,it */

var assertOutputPattern = require('./_harness').assertOutputPattern;
var Rsync = require('../rsync');

//# destination
describe('destination', function () {
    var rsync;

    it('should not have regular filenames escaped', function () {
        rsync = Rsync.build({
            source:      [ 'file1.txt' ],
            destination: 'the_destination/'
        });
      assertOutputPattern(rsync, /the_destination\/$/);
    });

    it('should have spaced filenames escaped', function () {
        rsync = Rsync.build({
            source:       [ 'file2.txt' ],
            destination:  'whereever we want.txt'
        });
        assertOutputPattern(rsync, /whereever\\ we\\ want.txt$/);
    });

    it('should have quote characters escaped', function () {
        rsync = Rsync.build({
          source:       [ 'space.txt' ],
          destination:  '\'to infinity and beyond\"/'
        });
        assertOutputPattern(rsync, /\\'to\\ infinity\\ and\\ beyond\\"\/$/);
    });

});
